### Class

# FwupdPlugin DeviceProgress

since: 1.0

#### Description

    final class FwupdPlugin.DeviceProgress : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Ancestors

- GObject

#### Constructors

###### fu_device_progress_new

Binds the device to the progress object so that the status and percentage will be coped from the progress all the time this object is alive.

since: 1.8.11

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct FwupdPluginDeviceProgressClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.